Skip to main content

Storage Offering

Storage (disk) offerings define the size and performance profile of volumes.

Resource base path: /restapi/storage

MethodPathDescription
GET/restapi/storage/storageOfferingListStorage Offering List
GET/restapi/storage/storageOfferingListWithPriceStorage Offering List With Price
note

apikey and secretkey are required HTTP headers on every request and are omitted from the parameter tables below. See Authentication.


Storage Offering List​

Storage Offering List.

GET /restapi/storage/storageOfferingList

Parameters​

ParameterInTypeRequiredDescription
zoneUuidquerystring✅ YesUUID of the zone the resource belongs to.
uuidquerystringNoUUID of the resource.

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/storage/storageOfferingList?zoneUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"listStorageOfferingResponse": [
{
"diskSize": "string",
"isCustomDisk": true,
"name": "example-name",
"description": "string",
"storageType": "string",
"isActive": true,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
],
"count": 1
}

Storage Offering List With Price​

Storage Offering List With Price.

GET /restapi/storage/storageOfferingListWithPrice

Parameters​

ParameterInTypeRequiredDescription
zoneUuidquerystringNoUUID of the zone the resource belongs to.
uuidquerystringNoUUID of the resource.

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/storage/storageOfferingListWithPrice" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"listStorageOfferingPrice": [
{
"diskSize": "string",
"isCustomDisk": true,
"price": [
{}
],
"name": "example-name",
"description": "string",
"storageType": "string",
"isActive": true,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
],
"count": 1
}